Skip to main content
POST
/
assessment
/
api
/
v1
/
init
Step 1. Initialization
curl --request POST \
  --url https://api.eka.care/assessment/api/v1/init/ \
  --header 'Content-Type: application/json' \
  --header 'auth: <api-key>' \
  --header 'client-id: <client-id>' \
  --data '
{
  "user_info": {
    "dob": "2001-03-14",
    "age": 23,
    "gender": "m"
  },
  "workflow_id": 1000,
  "practitioner_uuid": "TEST-DR-123",
  "patient_uuid": "TEST-PATIENT-123",
  "unique_identifier": "TEST-PATIENT-UNIQUE-123",
  "transaction_id": "txn_1234567890"
}
'
{
  "assessment_id": "sn_121212121218718"
}

Documentation Index

Fetch the complete documentation index at: https://developer.eka.care/llms.txt

Use this file to discover all available pages before exploring further.

API Details

Authorizations

auth
string
header
required

The authentication token of the developer (generated using Authorization API).

Headers

client-id
string
required

Any unique string to identify the logged in developer.

locale
enum<string>

Locale is used to determine the language of the assessment. Supported locales are en, hi, kn for english, hindi and kannada respectively with default being en.

Available options:
en,
hi,
kn
Example:

"en"

Body

application/json

The request body should contain the user information. Users can either provide the date of birth or age using dob and age fields respectively, along with gender inside user_info.

user_info
MandatoryAgeGender · object
required

The user information should contain atleast the age of the user.

workflow_id
integer
default:1000
required

A unique id to identify the assessment to be taken. Detailed list of Assessment Workflows

Example:

1000

unique_identifier
string
required

Unique patient OID to identify the patient for which they are taking the assessment.

practitioner_uuid
string

A unique practitioner uuid to identify the practitioner to associate an assessment with, if applicable.

patient_uuid
string

A unique patient uuid to identify the patient, if applicable.

transaction_id
string

The transaction ID for a specific assessment session, that you wish to give.

Response

OK

The response object contains the assessment_id that uniquely identifies the assessment session.

assessment_id
string
required

A unique identifier for the assessment session.